#include<iostream>
#include<string>
using namespace std;

int q[] = { 0,1,1,2,2,1,2,2,3,3 }, s = 0,i;
string a;
int main() {
	cin >> a;
	for (i=0; i < a.size(); i++) {
		s += q[a[i] - '0'];
	}
	cout << s << '\n';
}